<template>
  <div id="detailPage">
    <h1 class="title is-1">{{`${movieDetail.Title} (${movieDetail.Year})`}}</h1>
    <b-rate
      v-bind:value="((movieDetail.imdbRating * 10) / 100) * 5"
      icon-pack="fas"
      icon="star"
      :max="5"
      :custom-text="`(${movieDetail.imdbRating}) IMDb Rating`"
      :spaced="true"
      :disabled="true"
    />
    <b-taglist>
      <b-tag type="is-dark" v-for="(item, idx) in (movieDetail.Genre || '').split(', ')" v-bind:key="idx">
        {{item}}
      </b-tag>
    </b-taglist>

    <div class="tile is-ancestor columns is-multiline">
      <div class="tile is-parent column is-half">
        <div class="tile is-child">
            <figure class="image is-3by4">
              <img v-bind:src="movieDetail.Poster" alt="poster">
            </figure>
        </div>
      </div>
      <div class="tile is-parent column is-half">
        <article class="tile is-child box">
          <p class="title is-size-4 has-text-justified">
            {{movieDetail.Plot}}
          </p>

          <div class="tile is-ancestor columns is-multiline" v-for="(item, idx) in listKey" :key="idx">
            <div class="tile is-parent column">
              <div class="tile is-child">
                <p class="subtitle">{{item}}</p>
              </div>
            </div>
            <div class="tile is-parent column is-three-quarters">
              <article class="tile is-child">
                <p class="title is-size-5">
                  {{movieDetail[item]}}
                </p>
              </article>
            </div>
          </div>
          <!-- <div class="tile is-ancestor columns is-multiline">
            <div class="tile is-parent column">
              <div class="tile is-child">
                <p class="subtitle">Writers</p>
              </div>
            </div>
            <div class="tile is-parent column is-three-quarters">
              <article class="tile is-child">
                <p class="title is-size-5">
                  {{movieDetail.Writer}}
                </p>
              </article>
            </div>
          </div>
          <div class="tile is-ancestor columns is-multiline">
            <div class="tile is-parent column">
              <div class="tile is-child">
                <p class="subtitle">Actors</p>
              </div>
            </div>
            <div class="tile is-parent column is-three-quarters">
              <article class="tile is-child">
                <p class="title is-size-5">
                  {{movieDetail.Actors}}
                </p>
              </article>
            </div>
          </div>
          <div class="tile is-ancestor columns is-multiline">
            <div class="tile is-parent column">
              <div class="tile is-child">
                <p class="subtitle">Country</p>
              </div>
            </div>
            <div class="tile is-parent column is-three-quarters">
              <article class="tile is-child">
                <p class="title is-size-5">
                  {{movieDetail.Country}}
                </p>
              </article>
            </div>
          </div> -->

        </article>
      </div>
    </div>
  </div>
</template>

<script>
  import { mapState, mapGetters } from 'vuex'
  import router from '../router'
  export default {
    name: 'detailPage',
    props: [
      'id',
    ],
    data: () => ({
      listKey: ['Director', 'Writer', 'Actors', 'Awards', 'Country', 'Language', 'Production', 'Released']
    }),
    mounted () {
      this.$store.dispatch('loadMovieDetail', this.$props.id)
    },
    computed: {
      ...mapState([ 'movieDetail' ]),
      ...mapGetters([ 'isFetching' ])
    }
  }
</script>
